<?php
  if(!$img_src = imagecreatefromjpeg("obraz1.jpg"))
    exit("Nie udało się wczytać pliku obraz1.jpg.\n");

  if(!$img_dest = imagecreatetruecolor(400, 300))
    exit("Nie udało się utworzyć nowego obrazu.\n");

  if(!imagecopyresampled($img_dest, $img_src, 1, 1, 320, 240, 400, 300, 160, 120))
    exit("Nie udała się operacja skalowania.\n");

  if(!imagejpeg($img_dest, "obraz2.jpg"))
    exit("Wystąpił błąd podczas zapisu pliku obraz2.jpg.\n");

  echo "Operacja skalowania zakończona sukcesem!\n";

  imagedestroy($img_src);
  imagedestroy($img_dest);
?>
